<xml> </xml>

db4o |

# Constraint Methods

The methods of the Constraint interface are listed below. For a complete list of Constraint interface members, see the Constraint Members topic.

#### Public Instance Methods

And | links two Constraints for AND evaluation.
Contains | sets the evaluation mode to containment comparison.
EndsWith | sets the evaluation mode to string endsWith comparison.

Equal

sets the evaluation mode to

    ==

.

GetObject | returns the Object the query graph was constrained with to create this com.db4o.query.Constraint .

Greater

sets the evaluation mode to

    >

.

Identity | sets the evaluation mode to identity comparison.
Like | sets the evaluation mode to "like" comparison.
Not | turns on not() comparison.
Or | links two Constraints for OR evaluation.

Smaller

sets the evaluation mode to

    <

.

StartsWith | sets the evaluation mode to string startsWith comparison.

#### See Also

Constraint Interface | com.db4o.query Namespace